Subject: Re: Non ANSI C ???
From: [email-masked] (Earnie Boyd)

2 May 1998 23:24:25 -0700
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: gw32 <[email-masked]>

Hi Alain,

Are you using g++ or gcc?  

I've not had this problem with gcc.

There is a -ansi switch; but again I've not had this problem.

You could try the EGCS version.  Or are you using it already?  I'm
using the latest from JanJaap.

-        \\||//
---o0O0--Earnie--0O0o----
[email-masked]
------ooo0O--O0ooo-------

---Alain CULOS <[email-masked]> wrote:
>
> Hi All,
> 
> I tried to compile this wonderfull POV-Ray package, the windows
version, unfortunately it looks like it does not follow the correct C
syntax (but I am only guessing as I'm a newby to C++ and mingw32).
> Or is there a possibility I am misusing make and gcc command line
options ?
> 
> Here is an example of the type of code that does not compile :
> =========
> void CheckIt (ThisOne)
>   int ThisOne;
> {
>   DoItNow ();
> }
> =========
> I know for a fact that if I change it to :
> =========
> void CheckIt (int ThisOne)
> {
>   DoItNow ();
> }
> =========
> then it does work perfectly well.
> 
> Since POV-Ray is largish and I'd like to be able to use diff to
compare newcoming versions, besides it being a big job, I'd like to
avoid modifying every single file to comply with the correct syntax.
> Is there any command line option that allows the 'incorrect' syntax ?
> Else, is there any commonly available utility to convert all files
automatically for me ?
> 
> Many thanks for any tip or pointer,
> Al.
> 
> 
> --
> ANTI SPAM / ANTI ARROSAGE COMMERCIAL :
> Pour me répondre, veuillez enlever le Z de mon adresse.
> To answer me, please take out the Z from my address.
> 
> 
> 
> -
> For help on using this list (especially unsubscribing), send a
message to
> "[email-masked]" with one line of text: "help".
> 

_________________________________________________________
DO YOU YAHOO!?
Get your free @yahoo.com address at http://mail.yahoo.com

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".